ApiHost (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHost

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHost

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHost
      extends Object

  This is the model for a host in the system.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHost()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHost` | `addHealthChecksItem(ApiHealthCheck healthChecksItem)`
    `ApiHost` | `addMaintenanceOwnersItem(ApiEntityType maintenanceOwnersItem)`
    `ApiHost` | `addRoleRefsItem(ApiRoleRef roleRefsItem)`
    `ApiHost` | `addTagsItem(ApiEntityTag tagsItem)`
    `ApiHost` | `clusterRef(ApiClusterRef clusterRef)`
    `ApiHost` | `commissionState(ApiCommissionState commissionState)`
    `ApiHost` | `config(ApiConfigList config)`
    `ApiHost` | `distribution(ApiOsDistribution distribution)`
    `ApiHost` | `entityStatus(ApiEntityStatus entityStatus)`
    `boolean` | `equals(Object o)`
    `ApiClusterRef` | `getClusterRef()` Get clusterRef
    `ApiCommissionState` | `getCommissionState()` Get commissionState
    `ApiConfigList` | `getConfig()` Get config
    `ApiOsDistribution` | `getDistribution()` Get distribution
    `ApiEntityStatus` | `getEntityStatus()` Get entityStatus
    `List<ApiHealthCheck>` | `getHealthChecks()` Readonly.
    `ApiHealthSummary` | `getHealthSummary()` Get healthSummary
    `String` | `getHostId()` A unique host identifier.
    `String` | `getHostname()` The hostname.
    `String` | `getHostUrl()` Readonly.
    `String` | `getIpAddress()` The host IP address.
    `String` | `getLastHeartbeat()` Readonly.
    `List<ApiEntityType>` | `getMaintenanceOwners()` Readonly.
    `BigDecimal` | `getNumCores()` Readonly.
    `BigDecimal` | `getNumPhysicalCores()` Readonly.
    `String` | `getRackId()` The rack ID for this host.
    `List<ApiRoleRef>` | `getRoleRefs()` Readonly.
    `List<ApiEntityTag>` | `getTags()` Tags associated with the host.
    `BigDecimal` | `getTotalPhysMemBytes()` Readonly.
    `int` | `hashCode()`
    `ApiHost` | `healthChecks(List<ApiHealthCheck> healthChecks)`
    `ApiHost` | `healthSummary(ApiHealthSummary healthSummary)`
    `ApiHost` | `hostId(String hostId)`
    `ApiHost` | `hostname(String hostname)`
    `ApiHost` | `hostUrl(String hostUrl)`
    `ApiHost` | `ipAddress(String ipAddress)`
    `Boolean` | `isIsParcelInfoAvailable()` Readonly.
    `Boolean` | `isMaintenanceMode()` Readonly.
    `ApiHost` | `isParcelInfoAvailable(Boolean isParcelInfoAvailable)`
    `ApiHost` | `lastHeartbeat(String lastHeartbeat)`
    `ApiHost` | `maintenanceMode(Boolean maintenanceMode)`
    `ApiHost` | `maintenanceOwners(List<ApiEntityType> maintenanceOwners)`
    `ApiHost` | `numCores(BigDecimal numCores)`
    `ApiHost` | `numPhysicalCores(BigDecimal numPhysicalCores)`
    `ApiHost` | `rackId(String rackId)`
    `ApiHost` | `roleRefs(List<ApiRoleRef> roleRefs)`
    `void` | `setClusterRef(ApiClusterRef clusterRef)`
    `void` | `setCommissionState(ApiCommissionState commissionState)`
    `void` | `setConfig(ApiConfigList config)`
    `void` | `setDistribution(ApiOsDistribution distribution)`
    `void` | `setEntityStatus(ApiEntityStatus entityStatus)`
    `void` | `setHealthChecks(List<ApiHealthCheck> healthChecks)`
    `void` | `setHealthSummary(ApiHealthSummary healthSummary)`
    `void` | `setHostId(String hostId)`
    `void` | `setHostname(String hostname)`
    `void` | `setHostUrl(String hostUrl)`
    `void` | `setIpAddress(String ipAddress)`
    `void` | `setIsParcelInfoAvailable(Boolean isParcelInfoAvailable)`
    `void` | `setLastHeartbeat(String lastHeartbeat)`
    `void` | `setMaintenanceMode(Boolean maintenanceMode)`
    `void` | `setMaintenanceOwners(List<ApiEntityType> maintenanceOwners)`
    `void` | `setNumCores(BigDecimal numCores)`
    `void` | `setNumPhysicalCores(BigDecimal numPhysicalCores)`
    `void` | `setRackId(String rackId)`
    `void` | `setRoleRefs(List<ApiRoleRef> roleRefs)`
    `void` | `setTags(List<ApiEntityTag> tags)`
    `void` | `setTotalPhysMemBytes(BigDecimal totalPhysMemBytes)`
    `ApiHost` | `tags(List<ApiEntityTag> tags)`
    `String` | `toString()`
    `ApiHost` | `totalPhysMemBytes(BigDecimal totalPhysMemBytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHost

          public ApiHost()

  - ### Method Detail

    - #### hostId

          public ApiHost hostId(String hostId)

    - #### getHostId

          public String getHostId()

      A unique host identifier. This is not the same as the hostname (FQDN). It is a distinct value that remains the same even if the hostname changes.
      Returns:
        hostId

    - #### setHostId

          public void setHostId(String hostId)

    - #### ipAddress

          public ApiHost ipAddress(String ipAddress)

    - #### getIpAddress

          public String getIpAddress()

      The host IP address. This field is not mutable after the initial creation.
      Returns:
        ipAddress

    - #### setIpAddress

          public void setIpAddress(String ipAddress)

    - #### hostname

          public ApiHost hostname(String hostname)

    - #### getHostname

          public String getHostname()

      The hostname. This field is not mutable after the initial creation.
      Returns:
        hostname

    - #### setHostname

          public void setHostname(String hostname)

    - #### rackId

          public ApiHost rackId(String rackId)

    - #### getRackId

          public String getRackId()

      The rack ID for this host.
      Returns:
        rackId

    - #### setRackId

          public void setRackId(String rackId)

    - #### lastHeartbeat

          public ApiHost lastHeartbeat(String lastHeartbeat)

    - #### getLastHeartbeat

          public String getLastHeartbeat()

      Readonly. Requires \"full\" view. When the host agent sent the last heartbeat.
      Returns:
        lastHeartbeat

    - #### setLastHeartbeat

          public void setLastHeartbeat(String lastHeartbeat)

    - #### roleRefs

          public ApiHost roleRefs(List<ApiRoleRef> roleRefs)

    - #### addRoleRefsItem

          public ApiHost addRoleRefsItem(ApiRoleRef roleRefsItem)

    - #### getRoleRefs

          public List<ApiRoleRef> getRoleRefs()

      Readonly. Requires \"full\" view. The list of roles assigned to this host.
      Returns:
        roleRefs

    - #### setRoleRefs

          public void setRoleRefs(List<ApiRoleRef> roleRefs)

    - #### healthSummary

          public ApiHost healthSummary(ApiHealthSummary healthSummary)

    - #### getHealthSummary

          public ApiHealthSummary getHealthSummary()

      Get healthSummary
      Returns:
        healthSummary

    - #### setHealthSummary

          public void setHealthSummary(ApiHealthSummary healthSummary)

    - #### healthChecks

          public ApiHost healthChecks(List<ApiHealthCheck> healthChecks)

    - #### addHealthChecksItem

          public ApiHost addHealthChecksItem(ApiHealthCheck healthChecksItem)

    - #### getHealthChecks

          public List<ApiHealthCheck> getHealthChecks()

      Readonly. Requires \"full\" view. The list of health checks performed on the host, with their results.
      Returns:
        healthChecks

    - #### setHealthChecks

          public void setHealthChecks(List<ApiHealthCheck> healthChecks)

    - #### isParcelInfoAvailable

          public ApiHost isParcelInfoAvailable(Boolean isParcelInfoAvailable)

    - #### isIsParcelInfoAvailable

          public Boolean isIsParcelInfoAvailable()

      Readonly. Requires \"full\" view. Indicates whether the Agent has completed parcel repository initialization.
      Returns:
        isParcelInfoAvailable

    - #### setIsParcelInfoAvailable

          public void setIsParcelInfoAvailable(Boolean isParcelInfoAvailable)

    - #### hostUrl

          public ApiHost hostUrl(String hostUrl)

    - #### getHostUrl

          public String getHostUrl()

      Readonly. A URL into the Cloudera Manager web UI for this specific host.
      Returns:
        hostUrl

    - #### setHostUrl

          public void setHostUrl(String hostUrl)

    - #### maintenanceMode

          public ApiHost maintenanceMode(Boolean maintenanceMode)

    - #### isMaintenanceMode

          public Boolean isMaintenanceMode()

      Readonly. Whether the host is in maintenance mode. Available since API v2.
      Returns:
        maintenanceMode

    - #### setMaintenanceMode

          public void setMaintenanceMode(Boolean maintenanceMode)

    - #### commissionState

          public ApiHost commissionState(ApiCommissionState commissionState)

    - #### getCommissionState

          public ApiCommissionState getCommissionState()

      Get commissionState
      Returns:
        commissionState

    - #### setCommissionState

          public void setCommissionState(ApiCommissionState commissionState)

    - #### maintenanceOwners

          public ApiHost maintenanceOwners(List<ApiEntityType> maintenanceOwners)

    - #### addMaintenanceOwnersItem

          public ApiHost addMaintenanceOwnersItem(ApiEntityType maintenanceOwnersItem)

    - #### getMaintenanceOwners

          public List<ApiEntityType> getMaintenanceOwners()

      Readonly. The list of objects that trigger this host to be in maintenance mode. Available since API v2.
      Returns:
        maintenanceOwners

    - #### setMaintenanceOwners

          public void setMaintenanceOwners(List<ApiEntityType> maintenanceOwners)

    - #### config

          public ApiHost config(ApiConfigList config)

    - #### getConfig

          public ApiConfigList getConfig()

      Get config
      Returns:
        config

    - #### setConfig

          public void setConfig(ApiConfigList config)

    - #### numCores

          public ApiHost numCores(BigDecimal numCores)

    - #### getNumCores

          public BigDecimal getNumCores()

      Readonly. The number of logical CPU cores on this host. Only populated after the host has heartbeated to the server. Available since API v4.
      Returns:
        numCores

    - #### setNumCores

          public void setNumCores(BigDecimal numCores)

    - #### numPhysicalCores

          public ApiHost numPhysicalCores(BigDecimal numPhysicalCores)

    - #### getNumPhysicalCores

          public BigDecimal getNumPhysicalCores()

      Readonly. The number of physical CPU cores on this host. Only populated after the host has heartbeated to the server. Available since API v9.
      Returns:
        numPhysicalCores

    - #### setNumPhysicalCores

          public void setNumPhysicalCores(BigDecimal numPhysicalCores)

    - #### totalPhysMemBytes

          public ApiHost totalPhysMemBytes(BigDecimal totalPhysMemBytes)

    - #### getTotalPhysMemBytes

          public BigDecimal getTotalPhysMemBytes()

      Readonly. The amount of physical RAM on this host, in bytes. Only populated after the host has heartbeated to the server. Available since API v4.
      Returns:
        totalPhysMemBytes

    - #### setTotalPhysMemBytes

          public void setTotalPhysMemBytes(BigDecimal totalPhysMemBytes)

    - #### entityStatus

          public ApiHost entityStatus(ApiEntityStatus entityStatus)

    - #### getEntityStatus

          public ApiEntityStatus getEntityStatus()

      Get entityStatus
      Returns:
        entityStatus

    - #### setEntityStatus

          public void setEntityStatus(ApiEntityStatus entityStatus)

    - #### clusterRef

          public ApiHost clusterRef(ApiClusterRef clusterRef)

    - #### getClusterRef

          public ApiClusterRef getClusterRef()

      Get clusterRef
      Returns:
        clusterRef

    - #### setClusterRef

          public void setClusterRef(ApiClusterRef clusterRef)

    - #### distribution

          public ApiHost distribution(ApiOsDistribution distribution)

    - #### getDistribution

          public ApiOsDistribution getDistribution()

      Get distribution
      Returns:
        distribution

    - #### setDistribution

          public void setDistribution(ApiOsDistribution distribution)

    - #### tags

          public ApiHost tags(List<ApiEntityTag> tags)

    - #### addTagsItem

          public ApiHost addTagsItem(ApiEntityTag tagsItem)

    - #### getTags

          public List<ApiEntityTag> getTags()

      Tags associated with the host. Available since V41.
      Returns:
        tags

    - #### setTags

          public void setTags(List<ApiEntityTag> tags)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.